<template>
<div>
    <nav class="bg-gray-300 dark:bg-gray-700 px-3 py-2 rounded font-sans w-full mb-4 shadow-xl" v-if="!!$slots.breadcrumbs">
        <div class="list-reset flex text-gray-800 dark:text-gray-200 whitespace-no-wrap">
            <slot name="breadcrumbs" />
        </div>
    </nav>
    <div class="bg-white dark:bg-gray-950 text-black dark:text-white overflow-hidden shadow-xl dark:shadow-light-md sm:rounded-lg">
        <div class="shadow-xl sm:rounded-lg" v-if="!!$slots.header">
            <div class="p-2 sm:rounded-t-lg bg-gray-300 dark:bg-gray-700">
                <slot name="header" />
            </div>
        </div>
        <slot />
    </div>
</div>
</template>
